# eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.certificateValidation

Module implementing checks for switched off certificate validation.

### Global Attributes

None

### Classes

None

### Functions

checkNoCertificateValidation | Function to check for switched off certificate validation.
getChecks | Public method to get a dictionary with checks handled by this module.

## checkNoCertificateValidation

checkNoCertificateValidation(reportError, context, config)

Function to check for switched off certificate validation.

reportError (func)
  function to be used to report errors
context (SecurityContext)
  security context object
config (dict)
  dictionary with configuration data

Up

## getChecks

getChecks()

Public method to get a dictionary with checks handled by this module.

Return:
  dictionary containing checker lists containing checker function and list of codes

Return Type:
  dict

Up